2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.9

2010-08-16  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_extent_sheet_rows, oo_extent_sheet_cols):
	Avoid criticals.

2010-08-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_plot): export legend position

2010-08-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_plot): export legend

2010-08-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (od_style_prop_chart): add chart:pie-offset
	* openoffice-write.c (odf_write_pie_plot_style): use chart:pie-offset

2010-08-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_attr_percent): new
	(od_style_prop_chart): add more attributes
	* openoffice-write.c (odf_write_pie_plot_style): new
	(odf_write_ring_plot_style): extent
	(odf_write_plot): connect odf_write_pie_plot_style

2010-08-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (od_draw_frame): rename to od_draw_frame_start, 
	  initialize chart.so
	(od_draw_frame_end): add frame content to sheet
	(od_draw_object): check whether we already have frame content
	(od_draw_image): ditto
	(od_draw_text_box): ditto
	(od_draw_text_box_end): deleted and code moved to od_draw_frame_end
	(opendoc_content_dtd): add od_draw_frame_end and delete od_draw_text_box_end
	
2010-08-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (GnmOOExport): rename objects field to graphs 
	  and change throughout; add images field
	(odf_write_frame): handle images
	(odf_write_content): write images
	(odf_write_image_manifest): new
	(odf_write_manifest): connect odf_write_image_manifest
	(odf_write_images): new
	(openoffice_file_save_real): initialize and finalize  new hash and 
	  cause images to be written
	
2010-08-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (OOParseState): add debug field and use
	  throughout instead of a preparser def or fixed #if 0.
	(oo_table_start): check for duplicate sheet names
	(openoffice_file_open): initialize new field

2010-08-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_chart_type_t): add ODF_GNM_BOX
	(odf_write_box_series): new
	(odf_write_box_plot_style): new
	(odf_write_plot): add ODF_GNM_BOX
	* openoffice-read.c (oo_prop_new_float): new
	(od_style_prop_chart): add new properties
	(oo_plot_area): handle OO_PLOT_BOX
	(oo_chart): add gnm:box

2010-08-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_plot_area_end): fall back to 
	  chart:plot-area table:cell-range-address if no series were 
	  directly specified.

2010-08-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_chart_axis): check for NULL style_name

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.8

2010-07-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_style_prop_cell): handle 
	  style:text-underline-type
	* openoffice-write.c (odf_write_style_text_properties): add
	  UNDERLINE_*_LOW

2010-07-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_db_range_start): If this filter range 
	  has a name define it as a named-range. Some files created
	  by OOo depend on it.

2010-07-08  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (odf_scientific): Use go_format_details_new
	and _free.

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 1.10.7

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.6

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.5

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 1.10.4

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.10.3

2010-05-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (openoffice_file_save_real): use a more
	  appropriate time format

2010-04-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): only retrieve the value
	  as gnm_float if we really need to.
	* openoffice-read.c (oo_cell_start): handle dates and times in 
	  GENERAL format
	(openoffice_file_open): setup and destroy new hashes

2010-04-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): write times and dates 
	  correctly as time-value or date-value
	(openoffice_file_save_real): fix  time_fmt and setup
	  date_long_fmt

2010-04-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): write times and dates as
	  time-value or date-value
	(openoffice_file_save_real): initialize and dispose of time_fmt
	  and date_fmt

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.2

2010-04-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_write_frame): write a dimple textbox

2010-04-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (od_draw_text_box_end): new
	(opendoc_content_dtd): connect the above

2010-04-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c: rename stock_series to list throughout
	(od_draw_text_box): new
	(od_draw_text_box_p_end): new
	(opendoc_content_dtd): connect the above

2010-04-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_style_cell_properties): 
	  style:writing-mode in cell styles requires ODF 1.2
	  style:text-align-source needs to be set here
	(odf_write_style_paragraph_properties): not here
	(odf_write_style_text_properties): font sizes must be lengths not
	  just integers

2010-04-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_manifest): only write a manifest
	  entry for Pictures/ if we have any

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 1.10.1

2010-03-05  Morten Welinder  <terra@gnome.org>

	* openoffice-write.c (odf_expr_conventions_new): Fix export of
	intersection.  Fixes #611824.

2010-02-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (oo_db_range_end): reapply filter [#610399]

2010-02-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_objects): don't export the filter
	  combos [#610399]

2010-02-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): use value_get_as_gstring
	  rather than value_get_as_float [#610372]
	(odf_write_filter_cond): use value_get_as_gstring rather than
	  value_get_as_string [#610372]

2010-02-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): Store error literals
	  as assignment. Fixes #610175.

2010-02-18  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (openoffice_file_open): Queue everything for
	recalc since we use gnm_cell_set_expr_and_value.  Fixes #610178.

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 1.10.0

2010-01-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_frame): use the method prefered by the
	  OASIS OIC interop report to address the object subfile

2010-01-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_plot_area): remove some unnecessary code

2010-01-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_plot_area): handle OO_PLOT_XYZ_SURFACE like
	  OO_PLOT_XYZ_CONTOUR
	(oo_series_domain): ditto
	(oo_chart): replace OO_PLOT_XYZ_CONTOUR with OO_PLOT_XYZ_SURFACE

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 1.9.18

2009-12-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_standard_series): also write
	  series label

2009-12-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_plot_assign_dim): also set default labels
	(oo_plot_area): store info on labels that are part of 
	  cell-range-address

2009-12-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.17

2009-12-15  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_col_start, oo_row_start): Allocate the
	right amount of memory.  Fixes #604615.

2009-12-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (gnm_xml_out_add_hex_color): use the 
	  pattern to determine transparency, add pattern argument
	  and change all callers
	(odf_write_link_start): new
	(odf_write_link_end): new
	(odf_write_cell): write link
	(odf_write_content_rows): cells with links need to be written

2009-11-29  Morten Welinder <terra@gnome.org>

	* Release 1.9.16

2009-11-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c: don't use float or atof throughout.
	(odf_number_style_end): no need to translate strings into 
	  floats and back.

2009-11-17  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_filter_cond): Don't look inside GnmValue.

2009-11-01  Morten Welinder <terra@gnome.org>

	* Release 1.9.15

2009-10-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): we now have SHEET
	* openoffice-write.c (odf_expr_func_handler): ditto

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): we now have SHEETS
	* openoffice-write.c (odf_expr_func_handler): ditto

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): we now have IFNA
	* openoffice-write.c (odf_expr_func_handler): ditto

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): we now have BINOM.DIST.RANGE
	  (equivalent to the ODF function B)
	* openoffice-write.c (odf_expr_func_handler): ditto

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): we now have NUMBERVALUE
	* openoffice-write.c (odf_expr_func_handler): ditto

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): we had COMBINA and ARABIC 
	  for a while
	* openoffice-write.c (odf_expr_func_handler): ditto

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): we now have ISFORMULA
	* openoffice-write.c (odf_expr_func_handler): ditto

2009-10-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): add EASTERSUNDAY
	  and DAYS. Use case insensitive comparison for prefixes since
	  OOo saves unknown functions in lower case.
	* openoffice-write.c (odf_func_eastersunday_handler): new
	(odf_expr_func_handler): add odf_func_eastersunday_handler and
	  DAYS translation

2009-10-11  Morten Welinder <terra@gnome.org>

	* Release 1.9.14

2009-09-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_style_prop_cell): fix diagonal borders
	* openoffice-write.c (odf_write_style_cell_properties): ditto

2009-09-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (opendoc_content_dtd): add element stubs
	(styles_dtd): ditto

2009-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.13

2009-09-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_surface_chart_style): we consider
	  multi-series=FALSE the default
	(odf_write_xl_surface_chart_style): obey state->with_extension

2009-09-05  Morten Welinder <terra@gnome.org>

	* Release 1.9.12

2009-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* openoffice-write.c (gnm_xml_out_add_hex_color),
	(odf_get_border_format): renamed go-color.h macros.

2009-09-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_prop_list_has_multi_series): new
	(oo_style_have_multi_series): new
	(oo_plot_area): use XLSurfacePlot in case of multiseries
	* openoffice-write.c (odf_write_xl_surface_chart_style): new
	(odf_write_plot): handle XLSurfacePlot

2009-09-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_graph_get_series): make sure texpr is non-NULL
	(odf_write_plot): check the correct end of array marker

2009-09-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (gnm_xml_out_add_hex_color): simplify comparison

2009-09-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (gnm_xml_out_add_hex_color): compare with
	  automatic background to see whether we have transparency

2009-09-01  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_parse_color): Don't change color fields we
	do not own.  Fix leak.
	(go_plugin_init, go_plugin_shutdown): New functions.
	(oo_style_prop_cell): Fix handling of transparent colours.

2009-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* openoffice-write.c (gnm_xml_out_add_hex_color): renamed GOColor macros.

2009-08-30  Morten Welinder <terra@gnome.org>

	* Release 1.9.11

2009-08-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): no need to map RRI
	  and MUNIT
	* openoffice-write.c (odf_expr_func_handler): we now have
	  RRI and MUNIT

2009-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): map PDURATION to
	  G_DURATION
	* openoffice-write.c (odf_expr_func_handler): map
	  G_DURATION to PDURATION

2009-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_func_gauss_handler): use ERF
	(oo_func_map_in): map GAUSS to ODF.GAUSS if it has more than one
	  argument

2009-08-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_func_gauss_handler): new
	(oo_func_map_in): map GAUSS to NORMDIST-0.5

2009-08-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_func_phi_handler): new
	(oo_func_map_in): map PHI to NORMDIST

2009-08-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): no need to map SEARCHB
	* openoffice-write.c (odf_expr_func_handler): we now have 
	  SEARCHB

2009-08-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): no need to map REPLACEB
	* openoffice-write.c (odf_expr_func_handler): we now have 
	  REPLACEB

2009-08-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): no need to map GAMMA and 
	  PERMUTATIONA
	* openoffice-write.c (odf_expr_func_handler): we now have 
	  GAMMA and PERMUTATIONA

2009-08-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_expr_func_handler): we now have a
	  FINDB and AVERAGEIF
	* openoffice-read.c (oo_func_map_in): we now have a FINDB and
	  AVERAGEIF

2009-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.10

2009-07-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_surface_chart_style): new
	(odf_write_contour_chart_style): new
	(odf_write_plot): hook-up above functions and drop
	  gnm:xyz-surface & gnm:surface
	* openoffice-read.c (OOChartStyle): add new field
	(oo_style): initialize new field
	(oo_chart_style_free): free new field
	(oo_prop_list_has_three_dimensional): new
	(oo_style_have_three_dimensional): new
	(od_style_prop_chart): read chart:three-dimensional
	(oo_plot_area): handle chart:three-dimensional spec
	(oo_chart): drop unneeded gnm:xyz-surface & gnm:surface

2009-07-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_series): renamed to
	  odf_write_standard_series
	(odf_write_axis_style): moved some code to callers and simplify
	(odf_write_circle_axes_styles): new
	(odf_write_radar_axes_styles): new
	(odf_write_dropbar_axes_styles): new
	(odf_write_standard_axes_styles): new
	(odf_write_surface_axes_styles): new
	(odf_write_axis): moved some code to callers
	(odf_write_plot): use selection array

2009-07-27 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (OO_PLOT_SURF): rename to OO_PLOT_CONTOUR throughout
	(OO_PLOT_XYZ_SURFACE): new
	(OO_PLOT_SURFACE): new
	(oo_plot_area): handle OO_PLOT_XYZ_SURFACE and OO_PLOT_SURFACE
	(oo_plot_series): ditto
	(oo_series_domain): ditto
	(oo_chart): ditto
	* openoffice-write.c (ODF_GNM_SURF): new
	(ODF_XYZ_GNM_SURF): new
	(odf_write_plot): handle ODF_GNM_SURF and ODF_XYZ_GNM_SURF

2009-07-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (gog_series_map_dim_by_name): new
	(oo_plot_assign_dim): add optional name argument and change all callers
	(oo_series_domain): handle OO_PLOT_XYZ_CONTOUR
	* openoffice-write.c (odf_write_plot): handle ODF_XYZ_SURF

2009-07-22 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_plot_series): handle OO_PLOT_SCATTER_COLOUR
	(oo_series_domain): ditto
	(oo_chart): ditto
	* openoffice-write.c (odf_write_bubble_series): write all series
	(odf_write_plot): handle GogXYColorPlot/ODF_SCATTER_COLOUR

2009-07-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_plot_assign_dim): allow for 
	  dim_type pass through.
	(oo_plot_series): handle contour matrix
	(oo_plot_series_end): we are already done for OO_PLOT_SURF
	(oo_series_domain): handle OO_PLOT_SURF
	* openoffice-write.c (odf_write_plot): handle ODF_SURF

2009-07-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_plot_area): set up series handling for 
	  Stock plot
	(oo_plot_area_end): handle stock plot series
	(odf_create_stock_plot): new
	(oo_plot_series): for Stock plot just save the info
	(oo_plot_series_end): for Stock plots we don't want to do 
	  anything here
	(oo_chart): set up reading of more chart types
	* openoffice-write.c (odf_write_bubble_series): fix style name
	(odf_write_min_max_series): new
	(odf_write_plot): set up writing of more plot types
	(odf_write_plot): handle writing of minmax plots

2009-07-15 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (od_style_prop_chart): handle 
	  chart:reverse-direction, chart:symbol-type, 
	  draw:stroke, chart:lines
	(oo_chart_axis): in ODF proper the axis style should not affect 
	  the overall graph.
	(oo_plot_area): handle double series for Gantt charts
	(oo_plot_area_end): ditto
	(oo_plot_series): ditto
	(oo_series_domain): handle dimensions for series:domain
	(oo_chart_wall): hook-up to the correct element
	* openoffice-write.c (odf_add_percent): new
	(odf_write_frame): fix leak
	(odf_write_series): handle more dimensions
	(odf_write_gantt_series): new
	(odf_write_bubble_series): new
	(odf_write_ring_plot_style): new
	(odf_write_line_chart_style): new
	(odf_write_scatter_chart_style): new
	(odf_write_scatter_series_style): new
	(odf_write_axis_style): differentiate based on plot type
	(odf_write_axis): ditto
	(df_write_plot): handle more plot types

2009-07-13 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (od_draw_frame): use table:end-x and 
	  table:end-y together with table:end-cell-address if provided

2009-07-12 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_chart_axis): use more of the 
	  applicable styles
	(oo_plot_area): ditto
	(oo_plot_area_end): free GSList
	(oo_chart): save applicable style
	(openoffice_file_open): initialize chart.these_plot_styles
	(od_draw_frame): calculate correct offsets
	* openoffice-write.c (odf_write_bar_col_plot_style): new
	(odf_write_bar_col_plot_styles): deleted
	(odf_write_plot): try to implement basic support for all
	  plot types
	(odf_write_bar_col_plot): deleted and incorporated in 
	  odf_write_plot

2009-07-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_frame): also link to a png
	  representation
	(odf_write_graph_manifest): include the png representations
	(odf_write_axis_style): we should use "start" rather than 0
	  as default axis-position
	(odf_write_graphs): write png representation

2009-07-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): let gsf figure
	  out precision
	(odf_print_spreadsheet_content_prelude): ditto
	(odf_write_axis_style): new
	(odf_write_axis): new
	(odf_write_bar_col_plot_styles): new
	(odf_write_bar_col_plot): move some of the chart 
	  construction here
	(odf_write_graph_content): from here and
	(odf_write_plot): from here, so that we write styles here

2009-07-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_series): new
	(odf_write_bar_col_plot): new
	(odf_write_graph_content): retrieve plot

2009-07-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_frame): also include
	  an image of graphs
	(odf_write_graph_manifest): add svg image file
	(odf_write_manifest): write Pictures directory
	(odf_write_graph_content): new stub
	(odf_write_graphs): call odf_write_graph_content and 
	  write image of graph to image file
	(openoffice_file_save_real): create Pictures directory

2009-07-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_strip_brackets): new
	(odf_graph_get_series): new
	(odf_write_frame): use odf_strip_brackets and create
	  draw:object for graphs
	(odf_write_content): use odf_strip_brackets
	(odf_write_meta_graph): new
	(odf_write_graph_manifest): new
	(odf_write_manifest): attach odf_write_graph_manifest
	(odf_write_graphs): also write meta.xml

2009-07-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (od_draw_frame): we can only match
	  once
	(openoffice_file_open): g_free can handle NULL
	* openoffice-write.c (odf_write_frame): new
	(odf_write_objects): new
	(odf_write_empty_cell): rather than calling
	  odf_write_comment, call odf_write_objects
	(odf_write_covered_cell): change argument, and 
	  change all callers
	(odf_sheet_objects_get): new
	(odf_write_content_rows): handle all sheet objects,
	  not just comments
	(odf_write_content): hash graphs
	(odf_write_graphs): new stub
	(openoffice_file_save_real): initialize graph hash
	  and create include chart documents

2009-07-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c: split styles.col_row into
	  split styles.col and split styles.row, change users
	(oo_table_start): use default 
	  row/column styles
	(cb_find_default_colrow_style): simplify
	(oo_colrow_reset_defaults): split into oo_col_reset_defaults
	  and oo_row_reset_defaults, change callers
	(oo_col_row_style_apply_breaks): fix typo
	(oo_col_start)L if we don't have a default style but
	  lots of repetition, use the repeated style as default
	(oo_row_start): ditto
	(oo_style): row and column styles can also be defaults

2009-07-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (opendoc_content_dtd): add 
	  style:tab-stops to style:paragraph-properties
	(od_draw_object): handle both "Object 1/" and 
	  "./Object 1".

2009-07-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (opendoc_content_dtd): add svg:desc
	  to draw:frame and remove unneeded duplication

2009-06-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_rangeref_as_string): fix
	  writing of range references without sheet.

2009-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_save_style_map_single_f):
	  remove unneeded argument and change all callers
	(odf_save_style_map_double_f): ditto

2009-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (GnmOOExport): add new hash
	(odf_find_style): check named_cell_styles hash first
	(odf_save_this_style_with_name): change argument order
	  to be able to pass it to hash_foreach and change all
	  callers
	(odf_store_this_named_style): new
	(odf_save_this_style): styles referenced in style:map
	  must be named
	(odf_write_styles): write named styles and reorder to 
	  write referenced styles before referencing styles.
	(openoffice_file_save_real): handle new hashes and make sure
	  styles referenced by the default cell style will be written

2009-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_style_cell_properties):
	  MSTYLE_ROTATION should be MSTYLE_INPUT_MSG
	(odf_save_style_map_single_f): new
	(odf_save_style_map_double_f): new
	(odf_save_style_map): new
	(odf_write_style): also write style:maps
	(odf_write_character_styles): split into 
	  odf_write_character_styles and odf_write_cell_styles
	(odf_write_cell_styles): new
	(odf_write_sheet): use the sheet stored in the state

2009-06-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c
	(odf_annotation_content_end): remove debug output
	(odf_annotation_author_end): ditto

2009-06-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_scientific): handle gnm:engineering
	(oo_style): initialize new fields
	(oo_style_prop_cell): handle alignments (including our
	  foreign elements) safely

2009-06-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_style_map_load_one_value): new
	(oo_style_map): use odf_style_map_load_one_value and
	  handle "is-true-formula"

2009-06-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_style_map_load_two_values): new
	(oo_style_map): handle cell-content-is-between and try to
	  handle cell-content-is-not-between

2009-06-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_table_end): keep the styles also
	  for the whole data extent.

2009-06-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_map): simplify slightly
	(oo_style_map): implement

2009-06-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_cell_start): do not overwrite formats 
	  from the file

2009-06-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (OOParseState): separate format item and
	  change references throughout
	(oo_date_hours): handle elapsed times better
	(oo_date_minutes): ditto
	(oo_date_seconds): ditto
	(oo_date_style_end): ditto
	(oo_date_style_end_rm_elapsed): new

2009-06-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_currency_symbol_end): mark the 
	  currency symbol as such.

2009-06-21 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (xl_find_format): We may not use '+' inside a 
	  style name.

2009-06-21 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): we now have JIS
	* openoffice-write.c (odf_expr_func_handler): ditto

2009-06-21 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): adjust function listing
	* openoffice-write.c (odf_func_floor_ceiling_handler):
	  handle all instances
	(odf_func_sec_handler): new
	(odf_func_sech_handler): new
	(odf_expr_func_handler): change the default behaviour to always
	  precede functions with ORG.GNUMERIC, so we don't have to worry
	  to miss functions from new plugins or that have been added.
	  Also handle "ODF...." functions that were imported.

2009-06-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.9

2009-06-19 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_func_address_handler): new
	(oo_conventions_new): set conv->sheet_name_sep
	(oo_load_convention): new FORMULA_OLD_OPENOFFICE
	(odf_func_floor_handler): hoo up odf_func_address_handler
	(oo_cell_start): oooc prefix indicates that we may see
	  missing A1 in ADDRESS

2009-06-19 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_func_floor_handler): new
	(oo_func_map_in): hook up above handler
	* openoffice-write.c (odf_func_ceiling_handler):  rename to
	  odf_func_floor_ceiling_handler and change all callers
	(odf_expr_func_handler): hook up handler for FLOOR

2009-06-19 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_func_ceiling_handler): fix logic

2009-06-19 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_func_ceiling_handler): new
	(oo_func_map_in): hook up the above handler
	* openoffice-write.c (odf_func_ceiling_handler): new
	(odf_expr_func_handler): hook up the above handler

2009-06-18 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_func_chisqdist_handler): new
	(oo_func_map_in): new handler hash
	* openoffice-write.c (odf_func_r_dchisq_handler): new
	(odf_func_r_pchisq_handler): new
	(sc_func_handlers): hook up the above

2009-06-18 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_func_r_qchisq_handler): new
	(odf_expr_func_handler): add hash of individual handlers, map
	  GET.FORMULA to FORMULA and 2-argument instances of R.QCHISQ to
	  CHISQINV
	* openoffice-read.c (oo_func_map_in): map FORMULA to GET.FORMULA
	  and CHISQINV to R.QCHISQ

2009-06-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (xl_find_format): use easier to follow style 
	  names 
	(odf_write_styles): write styles in a more natural order

2009-06-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (h_alignments): include right and left

2009-06-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_find_style): give more info in the case
	  we don't find the style
	(odf_save_this_style_with_name): new
	(odf_save_this_style): use odf_save_this_style_with_name
	(odf_write_content_rows): THe style row contains styles already
	  adjusted for the values. We can't use that. So access the real
	  styles.

2009-06-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): perform some function name 
	  translation
	* openoffice-write.c (odf_expr_func_handler): perform some function 
	  name translation

2009-06-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_func_map_in): handle ORG.GNUMERIC. prefix
	* openoffice-write.c (odf_expr_func_handler): new
	(odf_expr_conventions_new): hook up odf_expr_func_handler

2009-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_annotation_start): new
	(odf_annotation_content_end): new
	(odf_annotation_author_end): new
	(odf_annotation_end): new
	(opendoc_content_dtd): hook-up the above

2009-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_sheet): don't confuse rows and cols
	* openoffice-read.c (opendoc_content_dtd): add annotation tags

2009-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_comment): new
	(equal_style): deleted
	(odf_write_empty_cell): change arguments and adjust all callers.
	(filter_style): just compare pointers
	(finder): new
	(write_styled_cells): new
	(odf_write_styled_empty_rows): new
	(odf_write_formatted_empty_rows): deleted
	(odf_write_content_rows): new
	(odf_write_sheet): split into parts

2009-06-15 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (cell_styles_free): deleted
	(odf_compare_style): deleted
	(odf_find_style): just look in the hash. remove 
	  unnecessary arguments and change all callers
	(odf_save_automatic_character_styles): deleted
	(odf_save_this_style): write an individual style and
	  save it in the hash
	(odf_write_character_styles): call odf_save_this_style
	  for each style

2009-06-10  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_load_convention): Mark '^'
	left-associative in Excel formulas.
	(oo_conventions_new): Ditto for OO formulas.

2009-06-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_content): export print area to ODF 

2009-06-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (opendoc_content_dtd): include 
	  text:soft-page-break
	* openoffice-write.c (odf_write_formatted_empty_rows):
	  write text:soft-page-break also in empty territory

2009-06-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_append_page_break): soft pagebreaks are
	  stored as text:soft-page-breaks tag (and at this time can only 
	  be included between rows). The "auto" value for break-after
	  and break-before reflects only the potential of a pagebreak.
	(oo_page_break_type): ditto
	* openoffice-write.c (odf_write_sheet): write text:soft-page-breaks
	  elements at the location of paginated page breaks.

2009-06-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_append_page_break): add argument and
	  change all callers
	(oo_set_page_break): new
	(oo_page_break_type): default to NONE (we did that anyways) and
	  handle column type just in case

2009-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_cell_content_end): Since we may be 
	  assigning the result of an array calculation we should not 
	  check for array splits.

2009-06-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_number_style_end): shorten code and
	  distinguish <> from <

2009-06-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_cell_start): fix style leak

2009-06-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_cell_start): set a default date or
	  time format if the incoming data is marked that way.

2009-06-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (attr_eq_ncase): new
	(odf_number_color): new
	(styles_dtd): hook-up odf_number_color
	(opendoc_content_dtd): ditto

2009-06-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_date_text_end): don't quote single ()
	(odf_format_generate_number_str): delete (this is now handled by 
	  go_format_generate_number_str
	(odf_number): use go_format_generate_number_str
	(odf_scientific): use GOFormatDetails directly
	(odf_map): already check whether we may understand this and strip 
	  "value()"
	(odf_number_style_end): save the conditions in the order we might 
	  expect them

2009-06-02  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (odf_format_generate_number_str): Handle
	min_digits too.

2009-06-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_style_prop_cell): Use an older PANGO_WEIGHT
	for cutoff (which is equivalent).

2009-06-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_style_prop_cell): Also check font weight
	  rather than just descriptors.

2009-06-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_map): new
	(oo_date_style): only use our magic if the format source is still 
	  set to language
	(odf_number_style_end): handle conditional number formats
	(styles_dtd): hook-up odf_map
	(opendoc_content_dtd): ditto

2009-06-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_number): default minimum integer digits 
	  should be 1
	(odf_scientific): handle scientific numbers
	(odf_currency_symbol_end): handle currency symbols
	(styles_dtd): hook-up the above
	(opendoc_content_dtd): ditto

2009-06-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_number): new
	(odf_format_generate_number_str): handle minimum integer digits
	(styles_dtd): hook-up odf_number and add number:embedded-text
	(opendoc_content_dtd): ditto

2009-06-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugin.xml.in: add a second filesaver to allow the choice
	  of with or without foreign elements
	* openoffice-write.c : throughout bracket all uses of 
	  foreign elements with a test whether they are permitted.

2009-06-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (odf_fraction): new
	(odf_number_style): new
	(odf_number_style_end): new
	(styles_dtd): hook-up the above
	(opendoc_content_dtd): ditto

2009-06-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (oo_date_hours): handle elapsed time
	(oo_date_minutes): ditto
	(oo_date_seconds): ditto

2009-06-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_print_spreadsheet_content_prelude):
	  give the correct null-date
	* openoffice-read.c (oo_date_text_end): we need to use 
	  apostrophes
	(oo_date_style): handle magic formats

2009-05-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (xl_find_format): handle all three possible
	  format positions
	(xl_find_conditional_format): new
	(odf_write_xl_stylet): new
	(odf_write_this_xl_style_neg): new
	(odf_write_this_xl_style_zero): new
	(odf_write_map): rewrite
	(odf_write_this_conditional_xl_style): new
	(openoffice_file_save): handle new hashes

2009-05-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_attrs_as_string): hadnle super and 
	  subscripts
	(odf_write_character_styles): create super and subscript styles

2009-05-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): the office:annotation must 
	  precede the text:p of the cell content. The text inside the 
	  annotation must be contained inside a text:p.

2009-05-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_day): deleted (moved to goffice)
	(odf_write_month): ditto
	(odf_write_year): ditto
	(odf_write_hour): ditto
	(odf_write_minute): ditto
	(odf_write_second): ditto
	(odf_write_ampm): ditto
	(odf_write_date_style): ditto
	(odf_write_time_style): ditto
	(odf_write_number_style): ditto
	(odf_write_currency_style): ditto
	(odf_write_percentage_style): ditto
	(odf_write_fraction_style): ditto
	(odf_write_scientific_style): ditto
	(odf_write_this_xl_style): use go_format_output_to_odf for all
	  but the conditional formats
	(odf_write_data_styles): deleted
	(odf_write_styles): call g_hash_table_foreach directly

2009-05-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (xl_find_format): if the format is not simple 
	  also include the simple portions in the hash
	(odf_print_spreadsheet_content_prelude): use accessor functions for 
	  odf version
	(odf_write_styles): ditto
	(odf_write_settings): ditto
	(odf_write_conditional_style): new
	(odf_write_this_xl_style): use odf_write_conditional_style

2009-05-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c: replace xl_styles GSList with a GHashTable
	  and remove unnecessary counter field in cell_styles_t and 
	  col_row_styles_t
	(xl_styles_free): deleted
	(xl_compare_style): deleted
	(xl_find_format): use g_hash_table_lookup
	(odf_write_this_xl_style): new
	(odf_write_data_styles): use g_hash_table_foreach
	(openoffice_file_save): create and dispose of hashtable

2009-05-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c: replace GSF_ODF_VERSION with gsf_odf_version
	since enums are handled at compile time.

2009-05-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_style_paragraph_properties): Since 
	  OOo ignores style:text-align-source we have to avoid setting
	  fo:text-align in this case.
	(odf_write_number_style): write at least a default style
	(odf_write_currency_style): write a default currency style
	(odf_write_percentage_style): write a default percentage style
	(odf_write_fraction_style): write a default fraction style
	(odf_write_scientific_style): write a default scientific style
	(odf_write_data_styles): use go_format_get_family

2009-05-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c: adjust for change in GSF_ODF_VERSION to enum
	  and replacement of GSF_ODF_VERSION_STRING with gsf_odf_version_string
	(odf_write_ampm): new
	(odf_write_date_style): handle am/pm
	(odf_write_time_style): ditto

2009-05-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (xl_styles_free): new
	(xl_compare_style): new
	(xl_find_format): new
	(odf_write_style_goformat_name): write data styles
	(odf_find_style): add argument and change all callers
	(odf_print_spreadsheet_content_prelude): use GSF_ODF_VERSION
	(odf_write_day): new
	(odf_write_month): new
	(odf_write_year): new
	(odf_write_hour): new
	(odf_write_minute): new
	(odf_write_second): new
	(odf_write_date_style): new
	(odf_write_time_style): new
	(odf_write_number_style): new stub
	(openoffice_file_save): initialize and clear state.xl_styles

2009-05-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_new_markup): watch for strange starting
	  positions of the pango iter
	(odf_write_style_cell_properties): handle input messages
	(odf_write_style_paragraph_properties): handle indent
	(odf_write_style_goformat_name): new

2009-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.9.8

2009-05-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_style): added more style info and split 
	  into 3 sections:
	(odf_write_style_cell_properties): new
	(odf_write_style_paragraph_properties): new
	(odf_write_style_text_properties): new

2009-05-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_add_angle): new
	(odf_write_style): handled wrapped text, shrink-to-fit, text direction,
	  and rotation

2009-05-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_print_spreadsheet_content_prelude): add
	  remaining items defined in ODF 1.0 and 1.2 (1.2 not currently used)

2009-05-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_style): write horizontal and
	  vertical alignment
	(odf_print_spreadsheet_content_prelude): in ODF 1.0 date-value is 
	  incorrectly expected as date-value-type

2009-05-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_print_spreadsheet_content_prelude): new
	(odf_write_content): call odf_print_spreadsheet_content_prelude

2009-05-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (equal_style): arguments can be const
	(odf_compare_style): use equal_style
	(odf_write_sheet): use equal_style
	(odf_write_meta): set generator string

2009-05-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (gnm_xml_out_add_hex_color): make our background 
	  transparent.

2009-05-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_save_automatic_character_styles): we
	  also need to save the formats associated with any empty cell
	(odf_write_empty_cell): also write attached formatting info to empty
	  cells
	(odf_write_sheet): we cannot bundle all empty cells but need to
	  watch for format changes

2009-05-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (GnmOOExport): added field
	(odf_find_row_style): new
	(odf_write_row_styles): new
	(odf_write_formatted_columns): new
	(write_row_style): new
	(odf_write_formatted_empty_rows): new
	(odf_write_sheet): split out odf_write_formatted_columns and
	  add handling of rows
	(openoffice_file_save): initialize and dispose of state.row_styles

2009-05-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c: clean-up g_string_new throughout
	(GnmOOExport): added fields
	(odf_write_row_style): new
	(odf_write_col_style): new
	(odf_find_col_style): use odf_write_col_style
	(odf_write_styles): write default row and column styles
	(openoffice_file_save): determine default styles for rows and
	  columns

2009-05-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (GnmOOExport): added field
	(col_styles_t): new type
	(odf_add_pt): new
	(odf_compare_ci): new
	(odf_find_col_style): new
	(odf_save_automatic_character_styles): rename 
	  odf_load_required_automatic_styles to this more appropriate
	  name and change all callers
	(odf_write_column_styles): new
	(write_col_style): rename from write_last_col_style and change all 
	  callers
	(odf_write_sheet): write column info for all columns
	(openoffice_file_save): initialize and dispose of state.col_styles

2009-05-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_character_styles): also write the 
	  default style
	(equal_style): new
	(filter_style): new
	(write_last_col_style): new
	(odf_write_sheet): set default column styles for all columns

2009-05-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_find_style): make sure that we would 
	  correctly handle the case that we are trying to find a style we
	  did not write.

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_set_gnm_border): new
	(oo_style_prop_cell): hook-up oo_set_gnm_border to handle gnumeric
	  specific borders

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_style): change argument types and 
	  adjust all callers
	(odf_find_style) wrap and element around odf_write_style
	(odf_load_required_automatic_styles): load primary column cell styles
	(odf_write_styles): set default cell style
	(openoffice_file_save): determine default style

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_get_border_format): use goffice GO_PT_TO_CM
	  utility
	* openoffice-read.c (oo_parse_border): spacing may vary and there are
	  more borders including "none"
	(oo_style_prop_cell): The tag is officially called diagonal-bl-tr,
	  not diagonal-tr-bl

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): export border styles for 
	  non-empty cells
	(ns): add a gnumeric namespace to handle export of specifications
	  currently not supported in ODF.
	(odf_get_border_format): new
	(odf_get_gnm_border_format): new
	(BORDERSTYLE): new temporary macro
	(UNDERLINESPECS): new temporary macro

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): watch for string values 
	  without markup

2009-05-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): watch for empty rendered 
	  strings

2009-05-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (gnm_xml_out_add_hex_color): new
	(odf_write_style): write more aspects of this style

2009-05-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (GnmOOExport): add cell_styles field
	(cell_styles_t): new type
	(cell_styles_free): new
	(odf_compare_style): new
	(odf_write_style): new
	(odf_find_style): new
	(odf_load_required_automatic_styles): new
	(odf_write_character_styles): call odf_load_required_automatic_styles
	(odf_write_cell): add cell styles, delete unneeded variable
	(openoffice_file_save): free cell_styles

2009-05-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (opendoc_content_dtd): add text:line-break and 
	  a second insertion of text:s

2009-05-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (cb_odf_add_chars): deleted
	(odf_add_chars_non_white): new
	(odf_add_chars): new
	(cb_odf_attrs_as_string): renamed to odf_attrs_as_string and use
	  odf_add_chars
	(odf_new_markup): no need to use blank <text:span>, fix libgsf instead
	(odf_write_cell): use odf_add_chars for proper whitespace handling

2009-05-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_sheet): we need to write at least one
	  cell per row.

2009-05-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_cell): also write unformatted text

2009-05-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (opendoc_content_dtd): permit nested text:span

2009-05-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (cb_odf_add_chars): new
	(odf_new_markup): new
	(odf_write_character_styles): new
	(odf_write_cell): write markup
	(odf_write_content): call odf_write_character_styles

2009-05-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (styles_dtd): there can be column and row 
	  properties in the default style
	* plugin.xml.in: remove the UNFINISHED label to see what aspects
	  people are in fact trying to use

2009-05-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_extent_sheet_cols): new
	(oo_col_start): extent the required number of columns if necessary
	(oo_extent_sheet_rows): new
	(oo_row_start): extent the required number of rows if necessary

2009-05-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (opendoc_content_dtd): TABLE_ROW can also be contained 
	  in TABLE_ROWS

2009-05-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (OOParseState): use an array of conventions
	(oo_expr_parse_str): use oo_expr_parse_str
	(oo_load_convention): new
	(openoffice_file_open): initialize conv array members to NULL and free
	  at end

2009-05-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_expr_parse_str): use Gnumeric's conventions when
	  parsing MS's formulas

2009-05-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (OOFormula): new type
	(oo_expr_parse_str): add OOFormula type argument and change all callers
	(oo_cell_start): recognize "msoxl" formulas

2009-05-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (oo_row_start): don't croak on many repeated lines
	  beyond the size of our sheets

2009-05-10  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (openoffice_file_open): Add progress display.

2009-05-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (odf_write_table_style): use "table-properties"
	  rather than "properties"
	(odf_write_cell): write all formulas

2009-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.9.7

2009-05-04  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (openoffice_file_probe): Handle certain
	suffixes too, even if file has no mimetype.  Fixes #581143.
	(oo_cellref_parse): Use the ref sheet for size, if available.
	Fixes #581347.

2009-04-25  Morten Welinder <terra@gnome.org>

	* Release 1.9.6

2009-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.5

2009-03-19  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (various): Protect against going outside our
	supported sheet size.  Fixes #575843.
	(od_draw_object): Clear out cur_style_type and cur_graph_style as
	appropriate.  Fixes #575981.

2009-03-18  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_cellref_parse): Handle sheet name #REF!

2009-03-17  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_filter_cond): Fix crash #575600.

2009-03-15  Jean Brefort  <jean.brefort@normalesup.org>

	* openoffice-read.c: (oo_plot_area): Fixed null pointer crash in
	oo_plot_area(). [#575403]

2009-03-12  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (determine_oo_version): New function factored
	out from openoffice_file_open.
	(openoffice_file_probe): New function.

2009-02-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.4

2009-02-20  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_colrow_reset_defaults): Call
	colrow_reset_defaults with the right column/row.  Fixes #568010.

2009-02-09  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_cell_start): Handle "of" expression
	namespace same as "oooc".  Fixes 570890.

2009-01-26  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_table_start): Handle missing style.  Fixes
	part of #568994.

2009-01-23  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_cellref_parse): Don't try to create empty
	names.  Partially fixes #568928.

2009-01-15  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (ooo1_content_dtd): Handle a bit more to
	silence file from bug 567389 a bit.

2009-01-12  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_col_start): Handle column-count
	discrepancies.

2008-10-18  Jody Goldberg <jody@gnome.org>

	* Release 1.9.3

2008-09-26  Jody Goldberg <jody@gnome.org>

	* plugins/openoffice/openoffice-read.c (oo_table_end) : style_extent
	  has the max col/row with a style set, clear _outside_ that. [#553506]
	(oo_update_style_extent) : new.
	(oo_col_start) : called here.
	(oo_row_start) : here.
	(oo_cell_start) : and here.

2008-09-10  Jody Goldberg <jody@gnome.org>

	* openoffice-write.c (odf_write_cell) : why were strings disabled ?
	  [Coverity #248]

2008-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.9.2

2008-06-28  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (get_dtd): New function.  Fixes #540180.

2008-06-27  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_attr_int) : clear errno before use.  [#536552]

2008-06-25  Jody Goldberg <jody@gnome.org>

	* Release 1.9.1

2008-05-26  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : enable import of iteration and null-date for
	  ODF.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* Release 1.9.0

2008-02-24  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_parse_border): Use g_strndup instead of
	doing it by hand.

2007-12-21  Jody Goldberg <jody@gnome.org>

	* Release 1.8.0

2007-12-03  Jody Goldberg <jody@gnome.org>

	* Release 1.7.91

2007-11-24  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_col_start) : swap sense of 'is_vert' for
	  explicit page breaks.
	(oo_row_start) : ditto.

2007-11-19  Jody Goldberg <jody@gnome.org>

	* Release 1.7.90

2007-11-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.14

2007-11-03  Jody Goldberg <jody@gnome.org>

	All calls to *cell_set_* should be followed by an extent update.
	* openoffice-read.c (oo_update_data_extent) : create this to provide a
	  single location for updating the data extent when debugging.
	(oo_cell_start) : use it here to update extent for arrays,
	expressions, and inline values.
	(oo_cell_end) : and here for repeated cols/rows.
	(oo_cell_content_end) : and here for child content.

2007-10-29  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (od_draw_frame) : fix the namespace for y, and
	  provide defaults of 0 incase of invalid input.

2007-10-29  Jody Goldberg <jody@gnome.org>

	Data is implicitly allocated in all sorts of undocumented ways.
	* openoffice-read.c (oo_plot_area) : refactor the data handling into
	(oo_plot_assign_dim) : here.

	Clean up the way parameters are handled.
	(oo_prop_list_free) : new.
	(oo_prop_free) : new.
	(oo_prop_new_....) : new.
	(oo_prop_list_apply) : new.

2007-10-27  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (od_chart_wall): Grid got renamed to
	Backplane, so change here.

2007-10-26  Jody Goldberg <jody@gnome.org>

	* openoffice-write.c (openoffice_file_save) : compression-level is a
	  construction time attribute.

2007-10-25  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_iteration) : new.

2007-10-25  Jody Goldberg <jody@gnome.org>

	* plugin.xml.in : add stc.

2007-10-25  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (openoffice_file_open) : Assume files without a
	  mimetype entry are OO.o 1.x rather than failing.
	  Be more flexible about which mimetypes are acceptable.
	(oo_row_start) : Do not set a size if none was specified (some .sxc files)
	(oo_col_start) : ditto.
	(oo_colrow_reset_defaults) : ditto.
	(oo_style_prop_cell) : valign==automatic is usually bottom, sometimes
	  center, never top.
	  Fully support protected and hidden.
	(oo_cell_content_end) : Handle a series of <p> in a single cell that
	  designate embedded newlines.

	* openoffice-write.c (openoffice_file_save) : ensure that we do not
	  compress the mimetype.

2007-10-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.13

2007-09-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.12

2007-07-24  Jody Goldberg <jody@gnome.org>

	* Release 1.7.11

2007-07-22  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_attr_int) : add some validation.

2007-07-17  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_colrow_reset_defaults) : typo breaks
	  precedence.

2007-06-27  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_table_start) : keep track of the extent of
	  col/row styling and the extent of cell content seperately.
	(cb_find_default_colrow_style) : new.
	(oo_colrow_reset_defaults) : pick a default style and recompress the
	  available cols/rows by using it.
	(oo_table_end) : assign the page breaks.  And restore the col/row
	  defaults.
	(odf_append_page_break) : new.
	(odf_col_row_style_apply_breaks) : new.
	(oo_col_start) : keep a counter of style use to find the default.
	  Handle manual vs auto (kludged, no default is specified in the the
	  std).
	(oo_row_start) : ditto.
	(oo_cell_content_end) : simple mechanism to track extent of cells
	  with data.
	(oo_style_prop_col_row) : parse 'use-optimal-....' flags.  Cols seem
	  to have a different default than rows ???

2007-06-15  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_expr_parse_str) : make this a real function
	  and centralize the error handling.
	(oo_cell_start) : simplify expr parse error handling.
	(oo_named_expr) : ditto.
	(od_plot_area) : ditto.
	(oo_table_start) : apply the table style.
	(oo_col_start) : make the col/row style smarter in prep for page breaks.
	(oo_row_start) : ditto.
	(oo_style) : handle table styles.
	(oo_style_end) : ditto.
	(oo_style_prop) : ditto.
	(oo_page_break_type) : new.
	(oo_style_prop_col_row) : merge oo_style_prop_row and
	  oo_style_prop_col and add support for page breaks.
	(oo_style_prop_table) : new.
	(openoffice_file_open) : init the table styles.

	* openoffice-write.c (odf_write_table_style) : new.
	(table_style_name) : new.
	(odf_write_table_styles) : generate the styles based on the sheets.
	(odf_write_content) : write a style appropriate for the sheet.

2007-05-03  Morten Welinder <terra@gnome.org>

	* Release 1.7.10

2007-04-29  Jody Goldberg <jody@gnome.org>

	* plugin.xml.in : add .odt

2007-04-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.9

2007-03-04  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (odf_func_map_in) : adapt to the new mechanism of
	  function renaming.
	(oo_conventions) : handle inline arrays.

2007-03-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.8

2007-02-16  Morten Welinder <terra@gnome.org>

	* Release 1.7.7

2007-01-19  Jody Goldberg <jody@gnome.org>

	* openoffice-write.c : re-prefix things s/oo_/odf_/ for consistency.
	(odf_add_bool) : new,  the stock gsf_xml_out_add_bool uses 1, but OOo
	  doesn't support it.
	(odf_write_filter_cond) : new.
	(odf_write_autofilter) : new.
	(odf_write_content) : write the autofilters.

	* openoffice-read.c (oo_db_range_start) : new.
	(oo_db_range_end) : new.
	(oo_filter_cond) : new.
	(oo_table_end) : clear the cell pos at the end.
	(oo_rangeref_parse) : mark unused arg.
	(openoffice_file_open) : init filter.

2007-01-19  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c: Cleanups.

2007-01-16  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (od_plot_area): Fix crash [#396200]

2007-01-09  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (od_style_prop_chart): Don't use g_strtod.  We
	do not want dual-locale semantics.

2006-12-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.6

2006-12-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.5

2006-11-20  Jody Goldberg <jody@gnome.org>

	* Release 1.7.4

2006-11-19  Morten Welinder <terra@gnome.org>

	* Release 1.7.3

2006-11-17  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_unknown_hander) : add hook for oo-build
	  specific extensions.

2006-11-09  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (openoffice_file_open) : use the new
	  gnm_push_C_locale/gnm_pop_C_locale utils.
	* openoffice-write.c (openoffice_file_save) : ditto.

2006-10-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.2

2006-10-02  Jody Goldberg <jody@gnome.org>

	* Release 1.7.1

2006-09-23  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (openoffice_file_open) : remove size checks on
	  substreams.  If gsf was crashing on an empty xml file, then we
	  should fix it there.	[#350644]

2006-09-14  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_cell_start): Fix time value import.
	[#355943]

2006-08-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-read.c (openoffice_file_open): Add two gsf_input_size()
	  checks (patch by sum1_abi@yahoo.com)	[#350644]

2006-08-09  Eduardo Lima <eduardo.lima@indt.org.br>

	* openoffice-write.c (od_write_cell): Changed casts from uint to
	unsigned int in calls to gsf_xml_out_add_uint().

2006-06-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (oo_write_cell): We will also be called for 
	  empty cells with attached cell comment.
	(oo_write_sheet): we may not collapse empty cells that have comments
	  attached to them

2006-06-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (oo_write_cell): add GnmComment parameter and
	write annotation
	(oo_write_sheet): call oo_write_cell with new GnmComment parameter

2006-06-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (oo_expr_conventions_new): set argument separator

2006-06-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (oo_cellref_as_string): new
	(oo_rangeref_as_string): new
	(oo_expr_conventions_new): initialize cell_ref_, range_ref_handler
	  and output_sheet_name_sep

2006-06-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (od_write_cell): handle matrix functions and
	  be careful with checking unkown strings. Remove some duplicated code.
	(oo_write_sheet): extent is 0 based 
	(oo_write_content): We are writing opendocument. We should be checking the 
	  standard rather than OOo limitations.

2006-07-14  Jody Goldberg <jody@gnome.org>

	* openoffice-write.c (oo_write_mimetype) : use ods, rather than sxc

2006-07-12  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_cell_start) : be more flexible with spans. [#347263]

2006-06-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (oo_write_content): move ns structure to file
	  scope
	(oo_write_styles): implement stub
	(oo_write_settings): implement stub
	(oo_write_manifest): update to opendocument

2006-06-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (oo_write_sheet): write table:table-column
	(oo_write_content): there is no office:class attribute in opendocument
	  version 1.0 but we should use office:spreadsheet element

2006-06-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (GnmOOExport): add GnmExprConventions
	  field
	(oo_expr_conventions_new): new
	(od_write_cell): try to write some formulas
	(oo_write_content): fix some spelling, temporarily skip writing 
	  styles, don't use the office:spreadsheet element until we
	  know why openoffice doesn't like it.
	(openoffice_file_save): initialize GnmExprConventions in 
	  GnmOOExport

2006-06-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (od_write_empty_cell): don't write 
	  number-columns-repeated if value is 1
	(od_write_covered_cell): ditto
	(od_write_cell): handle various value types

2006-06-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* openoffice-write.c (od_cell_is_covered): implement
	(od_write_cell): handle merged cells
	(cb_sheet_merges_free): new
	(oo_write_sheet): initialize & clean up  merge handling

2006-06-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugin.xml.in : use .ods extension for writer
	* openoffice-write.c (oo_max_cols): deleted
	(oo_max_rows) : deleted
	(od_cell_is_covered): new
	(od_write_empty_cell): new
	(od_write_covered_cell): new
	(od_write_cell): new
	(oo_write_sheet): use the above and drop the check for whether the 
	  extent is to large for openoffice. OpenDocument has no limit
	(openoffice_file_save): use new ur[ln]s

2006-05-25  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/openoffice/openoffice-read.c: replaced gi18n.h by gi18n-lib.h.
	* plugins/openoffice/openoffice-write.c:

2006-05-23  Jody Goldberg <jody@gnome.org>

	* openoffice-write.c (oo_write_meta) : write the meta data.

2006-05-09  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_cellref_parse) : Eike just posted a newer
	  definition of how sheet names are encoded.
	    - only single quotes are allowed
	    - in quoted names a quote is escaped by doubling it 'aa''a' == aa'a

2006-05-08  Jody Goldberg <jody@gnome.org>

	* Release 1.7.0

2006-05-07  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_cellref_parse) : handled quoted sheet named.
	(oo_style_prop_cell) : Handle other forms of underlining.
	(oo_row_start) : collapsed/filtered rows.
	(oo_col_start) : ditto.

2006-05-06  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (openoffice_file_open) : read metadata.

2006-03-16  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (od_chart_grid): Use GOG_AXIS_UNKNOWN (== -1),
	not UNKNOWN (== 10).

2006-02-16  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (openoffice_file_open): Don't leak the
	meta_data object.
	(od_style_prop_chart): Fix leaks.
	(od_chart_axis): Plug leak.
	(od_chart_grid): Plug leak.
	(clean_lists): Speed up and fix a pile of leaks.

2006-02-15  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (openoffice_file_open): Updates from #316234.

2006-01-22  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c: Stub for table:named-range.

2006-01-21  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_conventions): Intersection character is '!'.

2006-01-21  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_conventions): Set range_sep_colon.

2006-01-20  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_cell_start): Fix loading of boolean
	constants from ods files.

2005-11-16  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : Some minor polish

2005-11-14  Jody Goldberg <jody@gnome.org>

	* Release 1.6.1

2005-11-10  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_col_start) : add full column style support.
	(oo_parse_border) : handle the space between the distance and the type.
	(oo_style_prop_cell) : diagonal borders, opendoc alignments, opendoc
			       font info.

2005-11-06  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=316234
	Patch from Luciano Miguel Wolf <luciano.wolf@indt.org.br>
	* openoffice-read.c : Some initial work on ods import.

2005-11-06  Morten Welinder  <terra@gnome.org>

	* openoffice-read.c (oo_style): Attempt a fix for 320818.

2005-10-10  Jody Goldberg <jody@gnome.org>

	* Release 1.6.0

2005-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.90

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.5

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.4

2005-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.5.3

2005-06-29  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : Add a hook for 'tab-stops'
	(oo_style) : suppress warning for default-style
	  cell.  It does not have a name but we may still want to use it.  I'm
	  not sure where.

2005-06-13  Jody Goldberg <jody@gnome.org>

	* Release 1.5.2

2005-05-10  Jody Goldberg <jody@gnome.org>

	* Release 1.5.1

2005-05-08  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : quick hack to get a start on OASIS vs 1.0.x
	  Add the name spaces.

2005-05-07  Jean Brefort  <jean.brefort@normalesup.org>

	* openoffice-read.c: (openoffice_file_open): use go_setlocale
	instead of gnm_setlocale.
	* openoffice-write.c: (openoffice_file_save): ditto.

2005-02-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.0

2005-01-17  Jody Goldberg <jody@gnome.org>

	* Release 1.4.2

2005-01-14  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_conventions) : set dots_in_names to allow for
	  addin functions like com.sun.star.sheet.addin.Analysis.getErf
	(oo_unknown_hander) :  Use a custom unknown handler to do a group map
	  from com.sun.star.sheet.addin.Analysis.get*

2004-12-09  Jody Goldberg <jody@gnome.org>

	* Release 1.4.1

2004-11-28  Jody Goldberg <jody@gnome.org>

	* Release 1.4.0

2004-11-07  Jody Goldberg <jody@gnome.org>

	* Release 1.3.93

2004-10-31  Jody Goldberg <jody@gnome.org>

	* Release 1.3.92

2004-10-18  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : Add support for date and time styles
	(oo_cell_start) : Handle time-values
	(openoffice_file_open) : read styles.

2004-10-17  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : Add basic parser for date formats

2004-10-05  Jody Goldberg <jody@gnome.org>

	* Release 1.3.91

2004-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.3.90

2004-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.3.2

2004-07-19  Jody Goldberg <jody@gnome.org>

	* Release 1.3.1

2004-05-10  Jody Goldberg <jody@gnome.org>

	* openoffice-write.c : A quick stub

2004-05-06  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : Add some incomplete hooks to read rich text

2004-04-03  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_attr_distance) : new.
	(oo_style_prop_row) : new.
	(oo_style_prop_col) : new.
	(oo_style_prop) : break out parsers for each style type.
	(oo_style_start) : handle col/row sizes.

2004-03-28  Jody Goldberg <jody@gnome.org>

	* Release 1.3.0

2003-12-23  Jody Goldberg <jody@gnome.org>

	* Release 1.2.3

2003-11-26  Jody Goldberg <jody@gnome.org>

	* Release 1.2.2

2003-11-16  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (openoffice_file_open) : do not translate the
	  bools.

2003-10-27  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (opencalc_content_dtd) : tack on a few more nodes
	  to silence warnings.

	http://bugzilla.gnome.org/show_bug.cgi?id=125611
	* openoffice-read.c (oo_attr_int) : OUCH!  Minor typo crept in when
	  adding namespace support that broke importing all integers !  In
	  this case it showed up because the integer was specifying spans.

	http://bugzilla.gnome.org/show_bug.cgi?id=125604
	* openoffice-read.c (openoffice_file_open) : OO uses C locale for
	  numbers be careful to set and clear the locales appropriately.

2003-10-08  Jody Goldberg <jody@gnome.org>

	* Release 1.2.1

2003-09-15  Jody Goldberg <jody@gnome.org>

	* Release 1.2.0

2003-09-10  Jody Goldberg <jody@gnome.org>

	* Release 1.1.90

2003-08-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.20

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.19

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.18

2003-05-11  Jody Goldberg <jody@gnome.org>

	* Release 1.1.17

2003-01-28  Jody Goldberg <jody@gnome.org>

	* Release 1.1.16

2003-01-22  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : Convert to the new gsf::xml interface to get
	  namespace support.
	(oo_conventions) : add a map to convert ERRORTYPE -> ERROR.TYPE

2003-01-02  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_date_convention) : support 1904 date
	  convention.

2002-12-31  Jody Goldberg <jody@gnome.org>

	* Release 1.1.15

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.14

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.13

2002-11-26  Morten Welinder  <terra@diku.dk>

	* openoffice-read.c (OOParseState): Add expression conventions.
	(oo_conventions): New function.
	(openoffice_file_open): Create and destroy expression conventions.

2002-11-15  Jody Goldberg <jody@gnome.org>

	* Release 1.1.12

2002-11-14  Jon K Hellan  <hellan@acm.org>

	* plugin.xml.in: Remove "open" and "import" attributes.

2002-11-02  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* openoffice-read.c (openoffice_file_open): Made static.

2002-11-01  Jody Goldberg <jody@gnome.org>

	* Release 1.1.11

2002-10-27  Jody Goldberg <jody@gnome.org>

	* Release 1.1.10

2002-10-24  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_style_prop) : fix handling of vertical
	  alignment..

2002-10-23  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=96595
	* openoffice-read.c (oo_covered_cell_start) : new.
	(oo_covered_cell_end) : new.  covered cells, and repeated convered
	  cells take up space.
	(oo_cell_end) : a repeated cell with content replicates the content.
	(oo_cell_start) : a repeated cell with a style replicates the style.

2002-10-09  Morten Welinder  <terra@diku.dk>

	* openoffice-read.c (OOParseState): Avoid "gboolean ... : 1".

2002-10-08  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_style) : correctly layer parent styles but
	  lose the relationship because we have no similar structure.
	  Put the frame work in place to start supporting number formats but
	  do not implement it yet.

2002-10-08  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_named_expr) : support named expressions.
	(oo_cell_start) : support merged ranges.

2002-10-07  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_table_start) : fix accidental offset of 1,1.

2002-10-02  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : Ensure that the sheet ordering is correct.

2002-10-01  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_attr_enum) : new.
	(oo_style_prop) : some initial work.

2002-09-30  Jody Goldberg <jody@gnome.org>

	* Release 1.1.9

2002-09-29  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_cell_start) : handle array expressions,
	  and saved booleans, numbers, and strings (errors handled elsewhere)
	  TODO : dates
	(xml_sax_attr_bool) : use oo_warning
	(xml_sax_attr_int) : use oo_warning
	(xml_sax_attr_float) : use oo_warning

2002-09-29  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c (oo_warning) : new utility.
	(oo_cellref_parse) : new.
	(oo_rangeref_parse) : new.
	(oo_cell_start) : initial support for expressions.  Still need to
	  restore the saved values.

2002-09-26  Jody Goldberg <jody@gnome.org>

	* openoffice-read.c : whip up a quick initial version that ignores
	  formats, and expressions but does appear to handle values, and sheet
	  names.
